﻿// resources.js

// Japanese
var STR_JA = {
	
	/* BEGIN LOCALIZATION  */
	
	// messages
	// depreciated by backend errors
	// will be kept around until mid Oct for backwards compatibility
	status_save_success		: "保存しました。",
	status_save_fail		: "保存に失敗しました。",
	status_locked			: "読み込みのみ",
	status_err_number		: "無効な数値です。",
	status_err_time			: "無効な時間値です。",
	status_err_default		: "無効な入力値です。",
	status_delete_success 	: "レコードを削除しました。",
	status_err_delete		: "レコード削除中エラーが発生しました。",
	status_err_required		: "赤字のフィールドは必須入力です。",
	status_err_dup			: "重複しない値が必要です。",
	status_err_date			: "正しくない日付値/フォーマットです。",
	status_err_intLength	: "整数フィールドに5桁を超える数値を入力することはできません。",
	status_err_longIntLength: "倍長整数フィールドに10桁を超える数値を入力することはできません。",
	
	// generic messages
	loading					: "ロード中...",
	none					: "なし",
	search					: "検索",
	fields					: "フィールド",
	
	//toolbar, generic, used by several objects
	button_create			: "作成",
	button_refresh			: "再読み込み",
	button_delete			: "削除",
	button_save				: "保存",
	button_cancel			: "キャンセル",
	button_ddw1				: "DDW",
	button_close			: "閉じる",
	button_choose			: "選択",
	
	// grid
	view_image				: "画像を表示",
	confirm_delete_records 	: "これらのレコードを削除しますか?",
	all						: "すべて", //for All Records
	
	// data window tabs tooltips
	and						: "かつ",
	starts_with				: "前方一致",
	
	// calendar
	calendar_month			: ['１月','２月','３月','４月','５月','６月','７月','８月','９月','１０月','１１月','１２月'],
	calendar_month_abr		: ['Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec'],
	calendar_weekday		: ['日','月','火','水','木','金','土'],
	
	// calendar view
	
	// toolbar, date range
	calendar_toolbar_range		: "範囲",				// Range Field_X to Field_Y
	calendar_toolbar_to			: " - ",
	calendar_toolbar_display	: "表示",				// Display Field_Z
	calendar_toolbar_none		: "なし",				// don't use field for Field_y
	
	// taskbar
	taskbar_admin_label		: "コントロールパネル",		// Admin button
	taskbar_edit			: "編集",					// Edit WindowX label
	taskbar_views			: "ポータル",				// always displayed in DAX app
	taskbar_debug			: "コンソール",				// debugger
	image					: "画像",					// Image X
	
	// admin
	//
	
	// main tabs
	admin_generalprefs		: "一般設定",
	admin_accesscontroltab	: "アクセスコントロール",
	admin_ddwmanager		: "DDWマネージャ",
	admin_querymanager		: "クエリマネージャ",

	// general prefs tab
	admin_taskbarlocation	: "タスクバーの位置:",
	admin_taskbartop		: "上",
	admin_taskbarbottom		: "下",
	admin_style				: "スタイル:",
	admin_preload			: "先読みするセレクションの数:",

	// ddw tab
	adminDDW_list			: "DDW",
	adminDDW_title			: "タイトル",
	adminDDW_content		: "内容",
	adminDDW_type			: "タイプ",
	adminDDW_newLink		: "新規ウィンドウ - リンク",
	adminDDW_newHTML		: "新規ウィンドウ - HTMLメソッド",
	adminDDW_newText		: "ステータスメッセージ - テキストメソッド",
	adminDDW_associatedTo	: "結合先",
	adminDDW_portal			: "ポータル",
	adminDDW_other			: "他",
	adminDDW_create			: "作成",
	adminDDW_cancel			: "キャンセル",
	adminDDW_noDDWs			: "DDWが定義されていません。",
	adminDDW_to				: " - ",

	// query tab
	adminQuery_List			: "プリセットクエリ",
	
	adminQuery_name			: "クエリ名",
	adminQuery_text			: "クエリ",
	adminQuery_Selection	: "セレクション",
	
	adminQuery_create		: "作成",
	adminQuery_save			: "保存",
	adminQuery_cancel		: "キャンセル",
	
	adminQuery_noQueries	: "プリセットクエリが定義されていません。",
	adminQuery_filter		: "フィルタ:",
	adminQuery_allrecords	: "すべてのレコードタブを表示:",
	adminQuery_all			: "すべて",
	adminQuery_createtitle	: "このセレクションのプリセットクエリを作成:",	
	adminQuery_new			: "新規クエリを作成:",	
	adminQuery_dynamic		: "ダイナミッククエリを設定:",	
	adminQuery_template		: "このテンプレートを使用:",	
	adminQuery_template2	: " このフィールドに適用:",	
	adminQuery_Next			: "次",	
	adminQuery_NotAvailable	: "利用不可",	
	adminQuery_error1		: "セレクションを選択",	
	adminQuery_error2part1	: "このセレクションのクエリ ",	
	adminQuery_error2part2	: " は既に存在しています。",	
	adminQuery_error3		: "名称を入力",
	adminQuery_Name			: "名称: ",	
	adminQuery_BoundTo		: " バインド先:",	
	adminQuery_SortField	: "並び替え: フィールド: ",	
	adminQuery_SortOrder	: " 並び順:",	
	adminQuery_MaxNb		: "レコードの最大数: ",	
	adminQuery_AddCondition	: "条件追加:",	
	adminQuery_Field		: "フィールド:",	
	adminQuery_Operator		: "演算子:",	
	adminQuery_Value		: "値:",	
	adminQuery_IsAMethod	: "メソッド:",	
	adminQuery_Link			: "リンク:",	
	adminQuery_Add			: "追加",	
	adminQuery_Conditions	: "条件:",	
	adminQuery_Asc			: "昇順",	
	adminQuery_Desc			: "降順",
	adminQuery_Operator1	: "等しい",
	adminQuery_Operator2	: "等しくない",
	adminQuery_Operator3	: "より少ない",
	adminQuery_Operator4	: "より多い",
	adminQuery_Operator5	: "以下",
	adminQuery_Operator6	: "以上",
	adminQuery_Operator7	: "前方一致",
	adminQuery_Operator8	: "後方一致",
	adminQuery_Link1		: "かつ",
	adminQuery_Link2		: "または",
	adminQuery_FieldTitle	: "フィールド",
	adminQuery_OperatorTitle: "演算子",
	adminQuery_ValueTitle	: "値",
	adminQuery_LinkTitle	: "リンク",
	adminQuery_DynamicQuery : "ダイナミッククエリ",
	adminQuery_DDTs			: "Data Driven Tabs based on ",
	adminQuery_dateTip		: "YYYY-MM-DD",
	adminQuery_error4		: "最低ひとつの条件が必要です",
	adminQuery_error5		: "このフィールドのダイナミッククエリは既に存在します。",
			
	// access control tab
	admin_accesscontrol		: "アクセスコントロール管理",
	admin_grouppopup		: "アクセス権を表示:&nbsp;",
	admin_grouppopupforprefs: "環境設定を表示:&nbsp;",
	admin_selections		: "ポートレット",
	admin_properties		: "プロパティ",
	admin_allowaccess		: "アクセスを許可",
	admin_allowoutput		: "出力を許可", // update v11.1
	admin_allowinput		: "入力を許可", // update v11.1
	admin_allowsearch		: "検索を許可", // update v11.1
	admin_allusers			: "すべてのユーザ",
	admin_toggleall			: "すべてのON/OFFを切り替える: ",
	admin_none				: "なし",
		
	admin_view_titles		: [ "グリッド" , "カレンダ" , "データトリー", "データマトリクス", "画像マトリクス" ],
	admin_grid_table_labels	: [ "位置", "アクセス許可", "実際の名称", "DAXエイリアス", "スタイル", "ビュー" ],
	admin_grid_field_labels	: [ "位置", "データタイプ", "実際の名称", "DAXエイリアス", "リスト表示", "詳細表示", "フォーマット"	],
	
	
	// load page
	// login widget
	login_login				: "ログイン",
	login_username			: "ユーザ名",
	login_password			: "パスワード",

	// login and logout
	logoutsuccess			: "ログアウトしました。",
	logoutfail				: "ログアウトに失敗しました。",
	logoutconfirm			: "ログアウトしますか?",
	
	// admin, misc
	new_view				: "新規ビュー",
	delete_view				: "ビュー削除",
	no_relation_found		: "リレーションが見つかりません。",
	go						: "Go",
	
	top_columns				: [ "位置","実際の名称","DAXエイリアス","タイプ","スタイル","DDWボタン","ビュー"],		
	bottom_columns			: [ "位置","(O I S)      実際の名称","DAXエイリアス","タイプ","フォーマット","ブレークレベル","OnLoad イベント","OnChange イベント","DDW リンク"], // Update v11.1
	
	// window titles
	image_viewer			: "画像ビューア",
	
	// data tree
	select_branch			: "レコードを作成するノードを選択してください。",
	delete_records			: "削除するレコードを選択してください。",
	// full message is "Delete X record(s)?"
	delete_records1			: "",
	delete_records2			: "件のレコードを削除しますか?",
	// column where list is displayed
	hgrid_first_column		: "リスト",
	
	// editor
	record_not_in_database	: "Record not in the database yet",

	editor_error_int		: "値は -32,768 - 32,767 の間でなければなりません。",
	editor_error_longint	: "値は -2,147,483,648 - 2,147,483,647 の間でなければなりません。",
	editor_imageviewer		: "画像ビューア",	
	
	editor_selectionview	: "Nifty tip. It's supposed to be helpful.",

	/* 1.1 Addition */
	
	// editor choice list
	no_data_found			: "データが見つかりません。",

	/* 1.1 Addition ends*/
	
	// window titles
	image_viewer			: "画像ビューア",
	
	// data tree
	select_branch			: "レコードを作成するノードを選択してください。",
	delete_records			: "削除するレコードを選択してください。",
	// full message is "Delete X record(s)?"
	delete_records1			: "",
	delete_records2			: "件のレコードを削除しますか?",
	// column where list is displayed
	hgrid_first_column		: "リスト",

	// boolean values
	
	yes		: "はい",
	no		: "いいえ",
	
	male	: "男性",
	female	: "女性",
	
	ttrue	: "true",
	ffalse	: "false",

	// sidebar tooltips
	
	sidebar_logout		: "ログアウト",
	sidebar_console		: "コンソール",
	sidebar_settings	: "コントロールパネル",

	// window
	
	onbeforeunload		: "続行すると、DAXセッションは終了されます。",

	// query Engine
	
	qe_list				: "一覧",
	qe_report			: "レポート",
	qe_chart			: "グラフ",
	qe_arguments		: ['等しい', '等しくない', '前方一致', '後方一致', 'より小さい', 'より大きい', '以下', '以上'],

	// Chart Engine
	
	ct_charttypes		: ['棒グラフ', '線グラフ', '円グラフ'],

	// Report Engine
	
	rp_select			: "選択",
	rp_deselect			: "非選択",

	// Browser support
	unsupportedbrowser	: "4D AJAX Frameworkはこのブラウザをサポートしていません。ブラウザを以下のものにアップデートしてください: Internet Explorer 7, Firefox 2+, or Safari 2+",

	// Image browser & data matrix
	ib_toolbar_display	: "表示",
	ib_toolbar_create	: "作成",
	ib_toolbar_delete	: "削除",
	ib_toolbar_zoom		: "ズーム",
	ib_toolbar_flip		: "めくる",
	ib_toolbar_more		: "More",
	ib_toolbar_less		: "Less",
	ib_toolbar_setup	: "設定",
	ib_toolbar_image	: "画像",
	ib_toolbar_layout	: "レイアウト",
	ib_toolbar_header	: "ヘッダ",
	ib_toolbar_top		: "上",
	ib_toolbar_bottom	: "下",
	ib_toolbar_left		: "左",
	ib_toolbar_right	: "右",
	ib_toolbar_none		: "なし",
	ib_toolbar_sort		: "並び替え",

	/* 1.1 addition */
	save_column_width	: "列幅を保存",
	/* 1.1 addition ends */
	
	/* 1.2 addition */
	Input_O	: "O",
	Input_I : "I",
	/* 1.2 addition ends */
	
	/* END LOCALIZATION  */
	
	
	/* FORMATTING */

	admin_titles_integer	: [ "なし" ,  "9,999,999", 		"$9,999.99",   		"\999,999",  		"99.99 %"],
	admin_values_integer	: [ "i1"    , "i,cm,per,0,", 	"i$,cm,per,2,",		 "i\,cm,per,0,", 	    "i,,per,2,~"],
	
	admin_titles_longint	: [ "なし" ,  "9,999,999",		"\999,999",		"$9,999.99",     "99.99 %"],
	admin_values_longint	: [ "l1"   ,  "l,cm,per,0,",	"l\,cm,per,0,",	"l$,cm,per,2,",  "l,,per,2,~"],	
	
	admin_titles_real		: [ "なし" ,  "9,999,999",		"99.99 %",		"$9,999.99",  	 "\999,999"	],
	admin_values_real		: [ "r1"    , "r,cm,per,0,"	,	"r,,per,2,~",	"r$,cm,per,2,",  "r\,cm,per,0,"],	

	admin_titles_date		: [ "なし" , "MM-DD-YYYY" ,	 "DD-MM-YYYY" ,	 "DD-Jan-YYYY" ],
	admin_values_date		: [ "d1"   , "dMM-DD-YYYY" , "dDD-MM-YYYY",	 "dDD-MMM-YYYY"],
	
	admin_titles_time		: [ "なし" ,  "HH:MM:SS",   "HH:MM:SS am/pm",		"HH:MM",	"HH:MM am/pm" ],
	admin_values_time		: [ "t1"    , "tHH:MM:SS",  "tHH:MM:SS am/pm",		"tHH:MM",	"tHH:MM am/pm"],
	
	admin_titles_alpha		: [ "なし" ,  "UPPERCASE",   "lowercase"],
	admin_values_alpha		: [ "a1"    , "aUUUU",  	 "auuuu"],
	
	admin_titles_text		: [ "なし" ,  "UPPERCASE",   "lowercase"],
	admin_values_text		: [ "x1"    ,  "xUUUU",  	 "xuuuu"],

	// note: these are admin boolean labels, actual boolen values are in the localization section of this file - best thing to do is to update both
	admin_titles_boolean	: [ "なし",	"True/False",	"はい/いいえ",	"男性/女性",	"チェックボックス"],
	admin_values_boolean	: [ "b1",	"bTrue",		"bYes",		"bMale",		"bCheckbox"],
	
	admin_titles_none		: ["なし"],
	admin_values_none		: ["1"],
	
	
	// ***  Dashboard Manager and Editor ***

	// General Strings
	dash_tabtitle			: 'Dashboardマネージャ',
	dash_toplefttitle		: 'Dashboard',
	dash_create				: '作成',
	dash_cancel				: 'キャンセル',
	
	// Dashboards list Strings
	dash_list_name			: '名称',
	dash_list_description	: '説明',
	dash_list_selection		: 'セレクション',
	
	// Create panel Strings
	dash_create_selection	: 'このセレクションのレポートを作成:',
	dash_create_name		: '名称:',
	dash_create_defaultname	: 'My Dashboard',
	dash_create_description : '説明',
	dash_create_defaultdesc	: '作成 ',
	dash_create_platform	: 'プラットフォームオプション', // Update 1
	// dash_create_desktopflag : 'For Desktop', // Update 1
	dash_create_iphoneflag	: 'iPhoneサポート', // Update 1
	dash_create_button		: 'Dashboardエディタを開始',
	
	// Dashboard Editor Strings
	dash_de_info1			: 'オブジェクトをレポートにドラッグ:',
	dash_de_info2			: 'フィールドをクリックしてグループを追加:',
	dash_de_info3			: 'スタイル',
	dash_de_info4			: '隠しカラム表示',
	dash_de_info5			: 'デフォルトカラム表示',
	dash_de_info6			: 'インスペクタ表示', // Update 2
	dash_de_title			: 'Dashboardエディタ',
	dash_de_dbobjs			: 'データベースオブジェクト',
	dash_de_Formulas		: 'フォーミュラ',
	dash_de_groups			: 'グループ追加',
	dash_de_chart			: 'チャート使用',
	
	// Formulas
	dash_de_Formula1		: 'Sum',
	dash_de_Formula2		: 'Average',
	dash_de_Formula3		: 'Min',
	dash_de_Formula4		: 'Max',
	dash_de_Formula5		: 'Count',
	dash_de_Formula6		: '標準偏差',
	dash_de_Formula7		: 'メソッド',

	// iPhone Styles
	dash_de_ip_style1		: '青',
	dash_de_ip_style2		: '黒',
	
	// Desktop Styles
	dash_de_dt_style1		: 'デフォルト',
	dash_de_dt_style2		: 'ピーチ',
	dash_de_dt_style3		: 'クレイ',
	dash_de_dt_style4		: 'フォグ',
	dash_de_dt_style5		: 'ココア',
	dash_de_dt_style6		: 'オーシャン',
	dash_de_dt_style7		: 'ミント',
	
	// Editor Zones
	dash_de_zone_dh			: '詳細ヘッダ',
	dash_de_zone_gh			: 'グループヘッダ #',
	dash_de_zone_d			: '詳細',
	dash_de_zone_gf			: 'グループフッタ #',
	dash_de_zone_df			: '詳細フッタ',
	
	// Editor Buttons
	dash_de_cancel			: 'キャンセル',
	dash_de_save			: '保存',
	
	// Property Inspector Tabs
	dash_pi_styletab		: 'スタイル',
	dash_pi_indicatorstab	: 'インジケータ',
	dash_pi_formattingtab	: 'フォーマット',
	dash_pi_linkappstab		: 'アプリリンク',
	
	// Property Inspector Button
	dash_pi_close			: '閉じる',
	
	// Style Tab
	dash_pi_style_info1		: 'デスクトップスタイル',
	dash_pi_style_info2		: 'iPhoneスタイル',
	
	dash_pi_style_width		: 'カラム幅:',
	dash_pi_style_px		: 'px',
	dash_pi_halign			: 'ヘッダ文字揃え:',
	dash_pi_htext			: 'ヘッダテキスト:',
	dash_pi_dalign			: '詳細文字揃え:',
	dash_pi_falign			: 'フォーミュラ文字揃え:',
	dash_pi_customformula	: 'カスタムフォーミュラ:',
	dash_pi_ghalign			: 'グループヘッダ文字揃え:', // Update 1
	dash_pi_customgh		: 'カスタムグループヘッダ:', // Update 1
	
	// Alignment Options
	dash_pi_align_option1	: '左',
	dash_pi_align_option2	: '中央',
	dash_pi_align_option3	: '右',
	
	// Indicator Tab
	dash_pi_ind_info1		: 'フィルタ追加:',
	dash_pi_ind_info2		: 'フィルタリスト (上から評価):',
	dash_pi_ind_info3		: 'なし',
	
	// Operator Options
	dash_pi_ind_op1			: '等しい',
	dash_pi_ind_op2			: 'より多い',
	dash_pi_ind_op3			: 'より少ない',
	
	// Indicator Styles
	dash_pi_ind_style1		: '緑',
	dash_pi_ind_style2		: '黄',
	dash_pi_ind_style3		: '赤',
	dash_pi_ind_style4		: '緑ボタン',
	dash_pi_ind_style5		: '黄ボタン',
	dash_pi_ind_style6		: '赤ボタン',
	
	// Indicator button
	dash_pi_ind_addbutton	: '追加',
	
	// Formatting Tab
	dash_pi_for_info1		: 'ブールフォーマットを選択:',
	dash_pi_for_info2		: '数値フォーマットを選択:',
	dash_pi_for_info3		: '日付フォーマットを選択:',
	dash_pi_for_info4		: '時間フォーマットを選択:',
	
	// Date Formats
	dash_pi_for_date1		: 'なし',
	dash_pi_for_date2		: 'Y.M.D',
	dash_pi_for_date3		: 'YYYY年M月D日(X)',
	dash_pi_for_date4		: 'YYYY年M月D日X曜日',
	dash_pi_for_date5		: 'YY.MM.DD',
	dash_pi_for_date6		: 'Month Date, Year',
	dash_pi_for_date7		: 'Month Date, Year (短表記)',
	dash_pi_for_date8		: 'YYYY.MM.DD (強制的)',
	dash_pi_for_date9		: 'ISO Date Time',	

	// Time Formats
	dash_pi_for_time1		: 'なし',
	dash_pi_for_time2		: 'HH:MM:SS',
	dash_pi_for_time3		: 'HH:MM',
	dash_pi_for_time4		: 'H時M分S秒',
	dash_pi_for_time5		: 'H時M分',
	dash_pi_for_time6		: 'H:MM AM/PM',
	
	// Link Apps Tab
	dash_pi_apps_info1		: '選択したセルのリンク先:',
	
	// Apps Options
	dash_pi_app1			: 'なし',
	dash_pi_app2			: 'ブラウザ',
	dash_pi_app3			: 'Email',
	dash_pi_app4			: 'Maps',
	dash_pi_app5			: 'Phone',
	
	
	// Error Messages
	dash_error1				: 'セレクションを選択してください。',
	dash_error2				: 'レポートは保存されました。',
	dash_error3				: 'このDashboardにはカラムがありません。',
	dash_error4				: 'まずこのセレクションを表示する必要があります。',
	dash_error5				: 'レポートを保存する際にエラーが発生しました。',
	dash_error6				: '選択されたセルにインジケータを使用することはできません。',
	dash_error7				: '選択されたセルにフォーマットオプションを使用することはできません。',
	dash_error8				: '選択されたセルにオプションを使用することはできません。',
	dash_error9				: '選択されたセルにスタイルオプションを使用することはできません。',
	dash_error10			: 'このセレクションに同じ名称をもつレポートが既に存在します。', // Update 1
	dash_error11			: 'iPhoneサポートはエディタ上でiPhoneの機能を有効にします。', // Update 1
	dash_error12			: 'Dashboardには一つのグループのみを追加できます。', // Update 1
	dash_error13			: '現在隠しカラムが表示されています。', // Update 1
	dash_error14			: '隠しカラムを空のデフォルトカラムに追加することはできません。', // Update 1

	versionmismatch			: 'Webファイルがコンポーネントのバージョンと一致しません。キャッシュをクリアして、ブラウザに最新のファイルが送信されるようにしてください。', // Update 1

	
	/* DO NOT MODIFY STRINGS BELOW */
	
	// XML tags & attribute strings
	tableid 		: 'tableid',
	queryid 		: 'queryid',
	tablename 		: 'tablename',
	recordid		: 'recordid',
	selectioncount 	: 'recordsinselection',
	fieldid			: 'id',
	fieldname		: 'name',
	fieldtag		: 'field',
	rowtag			: 'row',
	size			: 'size',
	modify_success	: 'success',
	success_true	: 'true',
	success_false	: 'false',
	recordidtag		: 'recordid',
	
	// field types
	type_alpha		: 'alpha',
	type_text		: 'text',
	type_picture	: 'picture',
	type_real		: 'real',
	type_integer	: 'integer',
	type_longint	: 'longint',
	type_blob		: 'blob',
	type_boolean	: 'boolean',
	type_date		: 'date',
	type_time		: 'time'
	
};

// load english by default
var STR = STR_EN;
