﻿// resources.js



// German

var STR_DE = {

	

	/* BEGIN LOCALIZATION  */

	

	// messages

	// depreciated by backend errors

	// will be kept around until mid Oct for backwards compatibility

	status_save_success		: "Gesichert!",

	status_save_fail		: "Sicherung fehlgeschlagen!",

	status_locked			: "Nur lesen",

	status_err_number		: "Ungültiger numerischer Wert.",

	status_err_time			: "Ungültige Zeit.",

	status_err_default		: "Ungültige Eingabe.",

	status_delete_success 	: "Datensatz gelöscht.",

	status_err_delete		: "Fehler beim Löschen.",

	status_err_required		: "Felder in Rot sind zwingend.",

	status_err_dup			: "Eindeutiger Wert erforderlich.",

	status_err_date			: "Ungültiges Datum.",

	status_err_intLength	: "Ganzzahlfeld unterstützt nicht mehr als 5 Ziffern.",

	status_err_longIntLength: "Lange Ganzzahl unterstützt nicht mehr als 10 Ziffern.",

	

	// generic messages

	loading					: "Lade...",

	none					: "Keine",

	search					: "Suchen",

	fields					: "Felder",

	

	//toolbar, generic, used by several objects

	button_create			: "Erzeuge",

	button_refresh			: "Neu laden",

	button_delete			: "Löschen",

	button_save				: "Speichern",

	button_cancel			: "Abbrechen",

	button_ddw1				: "DDW",

	button_close			: "Schließen",

	button_choose			: "Auswählen",

	

	// grid

	view_image				: "Bild anzeigen",

	confirm_delete_records 	: "Datensätze löschen?",

	all						: "Alle", //for All Records



	// data window tabs tooltips

	and						: "UND", 

	starts_with				: "beginnt mit", 

	

	// calendar

	calendar_month			: ['Januar','Februar','März','April','Mai','Juni','Juli','August','September','Oktober','November','Dezember'],

	calendar_month_abr		: ['Jan','Feb','Mär','Apr','Mai','Jun','Jul','Aug','Sep','Okt','Nov','Dez'],

	calendar_weekday		: ['Son','Mon','Die','Mit','Don','Fre','Sam'],

	

	// calendar view

	

	// toolbar, date range

	calendar_toolbar_range		: "Bereich",		// Range Field_X to Field_Y

	calendar_toolbar_to			: "bis",

	calendar_toolbar_display	: "Anzeigen",		// Display Field_Z

	calendar_toolbar_none		: "Nicht",			// don't use field for Field_y

	

	// taskbar

	taskbar_admin_label		: "Einstellungen",		// Admin button

	taskbar_edit			: "Bearbeiten",			// Edit WindowX label

	taskbar_views			: "Portal",				// always displayed in DAX app

	taskbar_debug			: "Konsole",			// debugger

	image					: "Bild",				// Image X

	

	// admin

	//

	

	// main tabs

	admin_generalprefs		: "Allgemeine Einstellungen",

	admin_accesscontroltab	: "Zugangskontrolle",

	admin_ddwmanager		: "DDW Manager", 

	admin_querymanager		: "Query Manager",

	

	// general prefs tab

	admin_taskbarlocation	: "Taskbar Position:", 

	admin_taskbartop		: "Oben",

	admin_taskbarbottom		: "Unten",

	admin_style				: "Stil:",	

	admin_preload			: "Anzahl vorgeladener Auswahlen:",



	// ddw tab

	adminDDW_list			: "DDWs",

	adminDDW_title			: "Titel",

	adminDDW_content		: "Inhalt",

	adminDDW_type			: "Typ",

	adminDDW_newLink		: "Neues Fenster - Link",

	adminDDW_newHTML		: "Neues Fenster - HTML-Methode",

	adminDDW_newText		: "Status-Meldung - Text-Methode",

	adminDDW_associatedTo	: "Zugeordnet",

	adminDDW_portal			: "Portal",

	adminDDW_other			: "Andere",

	adminDDW_create			: "Erzeugen",

	adminDDW_cancel			: "Abbrechen",	

	adminDDW_noDDWs			: "Es gibt noch keine DDW's.",

	adminDDW_to				: "zu",

	

	// query tab

	adminQuery_List			: "Gespeicherte Suchen",

	

	adminQuery_name			: "Name für Suche",

	adminQuery_text			: "Suche",

	adminQuery_Selection	: "Auswahl",

	

	adminQuery_create		: "Neu",

	adminQuery_save			: "Speichern",

	adminQuery_cancel		: "Abbrechen",

	

	adminQuery_noQueries	: "Es gibt noch keine gespeicherten Suchen.",

	adminQuery_filter		: "Filter:",

	adminQuery_allrecords	: "Zeige 'Alle Datensätze' Eintrag:",

	adminQuery_all			: "Alle",

	adminQuery_createtitle	: "Für diese Tabelle eine gespeicherte Suche anlegen:",	

	adminQuery_new			: "Neue Suche anlegen:",	

	adminQuery_dynamic		: "Dynamische Suche festlegen:",	

	adminQuery_template		: "Diese Vorlage verwenden:",	

	adminQuery_template2	: " und auf dieses Feld anwenden:",	

	adminQuery_Next			: "Weiter",	

	adminQuery_NotAvailable	: "Nicht verfügbar",	

	adminQuery_error1		: "Bitte eine Tabelle auswählen",	

	adminQuery_error2part1	: "Es existiert bereits eine Suche ",	

	adminQuery_error2part2	: " für diese Tabelle.",	

	adminQuery_error3		: "Bitte geben Sie einen Namen ein",

	adminQuery_Name			: "Name: ",	

	adminQuery_BoundTo		: " verbunden mit:",	

	adminQuery_SortField	: "Sortiere: Feld: ",	

	adminQuery_SortOrder	: "Sortierfolge:",	

	adminQuery_MaxNb		: "Maximale Anzahl Datensätze: ",	

	adminQuery_AddCondition	: "Bedingung hinzufügen:",	

	adminQuery_Field		: "Feld:",	

	adminQuery_Operator		: "Bedingung:",	

	adminQuery_Value		: "Wert:",	

	adminQuery_IsAMethod	: "Ist eine Methode:",	

	adminQuery_Link			: "Verknüpfung:",	

	adminQuery_Add			: "Hinzufügen",	

	adminQuery_Conditions	: "Bedingungen:",	

	adminQuery_Asc			: "Auf",	

	adminQuery_Desc			: "Ab",

	adminQuery_Operator1	: "Gleich",

	adminQuery_Operator2	: "Ungleich",

	adminQuery_Operator3	: "Kleiner",

	adminQuery_Operator4	: "Größer",

	adminQuery_Operator5	: "Kleiner oder gleich",

	adminQuery_Operator6	: "Größer oder gleich",

	adminQuery_Operator7	: "Beginnt mit",

	adminQuery_Operator8	: "Endet mit",

	adminQuery_Link1		: "Und",

	adminQuery_Link2		: "Oder",

	adminQuery_FieldTitle	: "Feld",

	adminQuery_OperatorTitle: "Operator",

	adminQuery_ValueTitle	: "Wert",

	adminQuery_LinkTitle	: "Verknüpfung",

	adminQuery_DynamicQuery : "Dynamische Suchen",

	adminQuery_DDTs			: "Data Driven Tabs basierend auf ",

	adminQuery_dateTip		: "JJJJ-MM-TT",  // non localizeable

	adminQuery_error4		: "Bitte mindestens eine Bedingung anlegen",

	adminQuery_error5		: "Für dieses Feld existiert bereits eine dynamische Suche.",



	// access control tab

	admin_accesscontrol		: "Admin-Zugangskontrolle",

	admin_grouppopup		: "Berechtigung anzeigen für:&nbsp;",

	admin_grouppopupforprefs: "Einstellungen anzeigen für:&nbsp;",

	admin_selections		: "Portlets",

	admin_properties		: "Einstellungen",

	admin_allowaccess		: "Zugriff erlauben",

	admin_allusers			: "Alle Anwender",

	admin_toggleall			: "Alle umschalten: ",	

	admin_none			: "Keine",

	

	admin_view_titles		: [ "Grid" , "Kalender" , "Datenbaum", "Daten-Matrix", "Bild-Matrix" ],

	admin_grid_table_labels	: [ "Position", "Zugriffsrechte", "Echter Name", "DAX Alias", "Stil", "Views" ],

	admin_grid_field_labels	: [ "Position", "Datentypen", "Echter Name", "DAX Alias", "Listenansicht", "Detailansicht", "Formatierung"	],



	

	// load page

	// login widget

	login_login				: "Anmeldung",

	login_username			: "Anwender",

	login_password			: "Kennwort",



	// login and logout

	logoutsuccess			: "Sie wurden erfolgreich abgemeldet.",

	logoutfail				: "Abmeldung fehlgeschlagen.",

	logoutconfirm			: "Wirklich abmelden?",

		

	// admin, misc

	new_view				: "Neuer View",

	delete_view				: "View löschen",

	no_relation_found		: "Keine Relation gefunden.",

	go						: "Gehe zu",

	

	top_columns				: [ "Position", "Echter Name", "DAX Alias", "Typ", "Stil", "DDW Buttons", "Views" ],		

	bottom_columns			: [ "Position","Echter Name","DAX Alias","Typ","Format","Umbruch","OnLoad Ereignis","OnChange Ereignis","DDW Link"],

	

	// window titles

	image_viewer			: "Bildanzeige",

	

	// data tree

	select_branch			: "Bitte wählen Sie einen Abschnitt zur Erzeugung der Datensätze.",

	delete_records			: "Bitte wählen Sie die zu löschenden Datensätze aus.",

	// full message is "Delete X record(s)?"

	delete_records1			: "Wirklich",

	delete_records2			: "Datensätze löschen?",

	// column where list is displayed

	hgrid_first_column		: "Liste",

	

	// editor

	record_not_in_database	: "Datensatz noch nicht gespeichert",



	editor_error_int		: "Wert muß zwischen -32,768 und 32,767 betragen",

	editor_error_longint	: "Wert muß zwischen -2,147,483,648 and 2,147,483,647 betragen",

	editor_imageviewer		: "Bildanzeige",



	editor_selectionview	: "Weitere Informationen über diese Verknüpfungen.",



	/* 1.1 Addition */

	

	// editor choice list

	no_data_found			: "Keine Daten gefunden.",

	

	/* 1.1 Addition ends*/

	

	// window titles

	image_viewer			: "Bildanzeige",

	

	// data tree

	select_branch			: "Bitte wählen Sie einen Zweig aus, in dem der Datensatz angelegt wird.",

	delete_records			: "Bitte wählen Sie den zu löschenden Datensatz aus.",

	// full message is "Delete X record(s)?"

	delete_records1			: "Wirklich",

	delete_records2			: "Datensätz(e) löschen?",

	// column where list is displayed

	hgrid_first_column		: "Liste",



	// boolean values

	

	yes		: "Ja",

	no		: "Nein",

	

	male	: "Herr",

	female	: "Frau",

	

	ttrue	: "Wahr",

	ffalse	: "Falsch",



	// sidebar tooltips

	

	sidebar_logout		: "Abmelden",

	sidebar_console		: "Konsole",

	sidebar_settings	: "Einstellungen",

	

	// window

	

	onbeforeunload		: "Sie verlassen hiermit Ihre DAX Session!",

	

	// query Engine

	

	qe_list				: "Liste", 

	qe_report			: "Bericht", 

	qe_chart			: "Chart", 

	qe_arguments		: ['ist gleich', 'ist ungleich', 'beginnt mit', 'ended mit', 'ist kleiner als', 'ist größer als', 'ist kleiner oder gleich', 'ist größer oder gleich'],



	// Chart Engine

	

	ct_charttypes		: ['Säulen', 'Linien', 'Torte'], 



	// Report Engine

	

	rp_select			: "Auswählen", 

	rp_deselect			: "Abwählen", 



	// Browser support

	unsupportedbrowser	: "Ihr Browser wird von 4D Ajax Framework nicht unterstützt. Bitte aktualisieren Sie auf Internet Explorer 7, Firefox 2+ oder Safari 2+.",

	

	// Image browser & data matrix

	ib_toolbar_display	: "Anzeigen",

	ib_toolbar_create	: "Neu",

	ib_toolbar_delete	: "Löschen",

	ib_toolbar_zoom		: "Zoom",

	ib_toolbar_flip		: "Umdrehen",

	ib_toolbar_more		: "Mehr",

	ib_toolbar_less		: "Weniger",

	ib_toolbar_setup	: "Einstellen",

	ib_toolbar_image	: "Bild",

	ib_toolbar_layout	: "Layout",

	ib_toolbar_header	: "Kopf",

	ib_toolbar_top		: "Oben",

	ib_toolbar_bottom	: "Unten",

	ib_toolbar_left		: "Links",

	ib_toolbar_right	: "Rechts",

	ib_toolbar_none		: "Nichts",

	ib_toolbar_sort		: "Sortieren",

	

	/* 1.1 addition */

	save_column_width	: "Spaltenbreiten speichern",

	/* 1.1 addition ends */

	

	/* 1.2 addition */

	Input_O	: "O",

	Input_I : "I",

	/* 1.2 addition ends */

	

	/* END LOCALIZATION  */

	

	

	/* FORMATTING */



	admin_titles_integer	: [ "Keine" ,  "9.999.999", 		"$9,999.99",   		"9.999,99 EUR", "99,99 %"],

	admin_values_integer	: [ "i1"    , "i,per,cm,0,", 	"i$,cm,per,2,",		 "i,per,cm,2,EUR", 	    "i,,cm,2,~"],

	

	admin_titles_longint	: [ "Keine" ,  "9.999.999",		"9.999,99 EUR",		"$9,999.99",     "99,99 %"],

	admin_values_longint	: [ "l1"   ,  "l,per,cm,0,",	"l,per,cm,2,EUR",	"l$,cm,per,2,",  "l,,cm,2,~"],	

	

	admin_titles_real		: [ "Keine" ,  "9.999.999",		"99,99 %",		"$9,999.99",  	 "9.999,99 EUR"	],

	admin_values_real		: [ "r1"    , "r,per,cm,0,"	,	"r,,cm,2,~",	"r$,cm,per,2,",  "r,per,cm,2,EUR"],	



	admin_titles_date		: [ "Keine" , "MM-DD-JJJJ" ,	 "DD-MM-JJJJ" ,	 "DD-Jan-JJJJ" ],

	admin_values_date		: [ "d1"   , "dMM-DD-YYYY" , "dDD-MM-YYYY",	 "dDD-MMM-YYYY"],

	

	admin_titles_time		: [ "Keine" ,  "HH:MM:SS",   "HH:MM:SS am/pm",		"HH:MM",	"HH:MM am/pm" ],

	admin_values_time		: [ "t1"    , "tHH:MM:SS",  "tHH:MM:SS am/pm",		"tHH:MM",	"tHH:MM am/pm"],

	

	admin_titles_alpha		: [ "Keine" ,  "GROSS",   "klein"],

	admin_values_alpha		: [ "a1"    , "aUUUU",  	 "auuuu"],

	

	admin_titles_text		: [ "Keine" ,  "GROSS",   "klein"],

	admin_values_text		: [ "x1"    ,  "xUUUU",  	 "xuuuu"],



	// note: these are admin boolean labels, actual boolen values are in the localization section of this file - best thing to do is to update both

	admin_titles_boolean	: [ "Keine",	"Wahr/Falsch",	"Ja/Nein",	"Männlich/Weiblich",	"Ankreuzfeld"],

	admin_values_boolean	: [ "b1",	"bTrue",		"bYes",		"bMale",		"bCheckbox"],

	

	admin_titles_none		: ["Keine"],

	admin_values_none		: ["1"],



	

	// ***  Dashboard Manager and Editor ***



	// General Strings

	dash_tabtitle			: 'Dashboard Manager',

	dash_toplefttitle		: 'Dashboards',

	dash_create				: 'Anlegen',

	dash_cancel				: 'Abbrechen',

	

	// Dashboards list Strings

	dash_list_name			: 'Name',

	dash_list_description	: 'Beschreibung',

	dash_list_selection		: 'Auswahl',

	

	// Create panel Strings

	dash_create_selection	: 'Einen Bericht für diese Auswahl erstellen:',

	dash_create_name		: 'Name:',

	dash_create_defaultname	: 'Mein Dashboard',

	dash_create_description : 'Beschreibung',

	dash_create_defaultdesc	: 'Angelegt ',

	dash_create_platform	: 'Platform Option', // Update 1

	// dash_create_desktopflag : 'For Desktop', // Update 1

	dash_create_iphoneflag	: 'iPhone Support', // Update 1

	dash_create_button		: 'Starte Dashboard Editor',

	

	// Dashboard Editor Strings

	dash_de_info1			: 'Die Objekte auf den Bericht ziehen:',

	dash_de_info2			: 'Klick auf ein Feld, um eine Gruppe anzufügen:',

	dash_de_info3			: 'Stile',

	dash_de_info4			: 'Alternierende Spalten zeigen',

	dash_de_info5			: 'Standard Spalten zeigen',

	dash_de_info6			: 'Eigenschaften Inspektor zeigen',

	dash_de_title			: 'Dashboard Editor',

	dash_de_dbobjs			: 'Database Objekte',

	dash_de_Formulas		: 'Formeln',

	dash_de_groups			: 'Gruppe hinzufügen',

	dash_de_chart			: 'Grafik verwenden',

	

	// Formulas

	dash_de_Formula1		: 'Summe',

	dash_de_Formula2		: 'Durchschnitt',

	dash_de_Formula3		: 'Min',

	dash_de_Formula4		: 'Max',

	dash_de_Formula5		: 'Anzahl',

	dash_de_Formula6		: 'Standardabweichung',

	dash_de_Formula7		: 'Methode',



	// iPhone Styles

	dash_de_ip_style1		: 'Blau',

	dash_de_ip_style2		: 'Schwarz',

	

	// Desktop Styles

	dash_de_dt_style1		: 'Standard',

	dash_de_dt_style2		: 'Pfirsich',

	dash_de_dt_style3		: 'Lehm',

	dash_de_dt_style4		: 'Nebel',

	dash_de_dt_style5		: 'Cocoa',

	dash_de_dt_style6		: 'Ozean',

	dash_de_dt_style7		: 'Mint',

	

	// Editor Zones

	dash_de_zone_dh			: 'Detail Kopfteil',

	dash_de_zone_gh			: 'Gruppen Kopfteil #',

	dash_de_zone_d			: 'Detail',

	dash_de_zone_gf			: 'Gruppen Fußteil #',

	dash_de_zone_df			: 'Detail Fußteil',

	

	// Editor Buttons

	dash_de_cancel			: 'Abbrechen',

	dash_de_save			: 'Sichern',

	

	// Property Inspector Tabs

	dash_pi_styletab		: 'Stil',

	dash_pi_indicatorstab	: 'Indikatoren',

	dash_pi_formattingtab	: 'Formatierung',

	dash_pi_linkappstab		: 'Verknüpfe Apps',

	

	// Property Inspector Button

	dash_pi_close			: 'Schließen',

	

	// Style Tab

	dash_pi_style_info1		: 'Desktop Stil',

	dash_pi_style_info2		: 'iPhone Stil',

	

	dash_pi_style_width		: 'Spaltenbreite:',

	dash_pi_style_px		: 'px',

	dash_pi_halign			: 'Ausrichtung Spaltenkopf:',

	dash_pi_htext			: 'Text Spaltenkopf:',

	dash_pi_dalign			: 'Ausrichtung Detailbereich:',

	dash_pi_falign			: 'Ausrichtung Formel:',

	dash_pi_customformula	: 'Eigene Formel:',

	dash_pi_ghalign			: 'Ausrichtung Gruppenkopfteil:', // Update 1

	dash_pi_customgh		: 'Eigener Gruppenkopfteil:', // Update 1

	

	// Alignment Options

	dash_pi_align_option1	: 'Links',

	dash_pi_align_option2	: 'Zentriert',

	dash_pi_align_option3	: 'Rechts',

	

	// Indicator Tab

	dash_pi_ind_info1		: 'Filter hinzufügen:',

	dash_pi_ind_info2		: 'Filterliste (Vorrang von oben nach unten):',

	dash_pi_ind_info3		: 'Keinen',

	

	// Operator Options

	dash_pi_ind_op1			: 'gleich',

	dash_pi_ind_op2			: 'größer',

	dash_pi_ind_op3			: 'kleiner',

	

	// Indicator Styles

	dash_pi_ind_style1		: 'grün',

	dash_pi_ind_style2		: 'gelb',

	dash_pi_ind_style3		: 'rot',

	dash_pi_ind_style4		: 'Schaltfläche grün',

	dash_pi_ind_style5		: 'Schaltfläche gelb',

	dash_pi_ind_style6		: 'Scaltfläche rot',

	

	// Indicator button

	dash_pi_ind_addbutton	: 'Hinzufügen',

	

	// Formatting Tab

	dash_pi_for_info1		: 'Wähle boolesches Format:',

	dash_pi_for_info2		: 'Wähle numerisches Format:',

	dash_pi_for_info3		: 'Wähle Datumsformat:',

	dash_pi_for_info4		: 'Wähle Zeitformat:',

	

	// Date Formats

	dash_pi_for_date1		: 'nichts',

	dash_pi_for_date2		: 'Kurz',

	dash_pi_for_date3		: 'Abgekürzt',

	dash_pi_for_date4		: 'Lang',

	dash_pi_for_date5		: 'TT.MM.JJJJ',

	dash_pi_for_date6		: 'Tag Monat Jahr',

	dash_pi_for_date7		: 'Abgekürzt: Tag Monat Jahr',

	dash_pi_for_date8		: 'Fest TT.MM.JJJJ',

	dash_pi_for_date9		: 'ISO Datum/Zeit',	



	// Time Formats

	dash_pi_for_time1		: 'nichts',

	dash_pi_for_time2		: 'HH:MM:SS',

	dash_pi_for_time3		: 'HH:MM',

	dash_pi_for_time4		: 'Stunde Minute Sekunde',

	dash_pi_for_time5		: 'Stunde Minute',

	dash_pi_for_time6		: 'H:MM AM/PM',

	

	// Link Apps Tab

	dash_pi_apps_info1		: 'Ausgewählte Zelle verknüpfen mit:',

	

	// Apps Options

	dash_pi_app1			: 'nichts',

	dash_pi_app2			: 'Browser',

	dash_pi_app3			: 'Email',

	dash_pi_app4			: 'Karten',

	dash_pi_app5			: 'Telefon',

	

	

	// Error Messages

	dash_error1				: 'Bitte eine Auswahl treffen',

	dash_error2				: 'Der Bericht wurde gesichert.',

	dash_error3				: 'Das Dashboard hat keine Spalten.',

	dash_error4				: 'Sie müssen die Auswahl erst sichtbar machen.',

	dash_error5				: 'Fehler beim Sichern des Berichts.',

	dash_error6				: 'Indikatoren für die gewählte(n) Zelle(n) nicht verfügbar.',

	dash_error7				: 'Keine Formatierungsoption für die gewählte(n) Zelle(n) verfügbar.',

	dash_error8				: 'Keine Option für die gewählte(n) Zelle(n) verfügbar.',

	dash_error9				: 'Keine Stiloptionen für die gewählte Zelle verfügbar.',

	dash_error10			: 'Es gibt bereits einen Bericht mit diesem Namen für diese Auswahl.',

	dash_error11			: 'iPhone Unterstützung aktiviert die iPhone Optionen im Editor.', // Update 1

	dash_error12			: 'Sie können dem Dashboard nur eine Gruppe hinzufügen', // Update 1

	dash_error13			: 'Verfügbare alternierende Spalten werden sichtbar, wenn der Anwender auf die Spalte klickt.', // Update 1

	dash_error14			: 'Einer leeren Standardspalte können keine alternierenden Spalten hinzugefügt werden.', // Update 1



	versionmismatch			: 'Web-Dateien passen nicht zur Version der Komponente. Browser-Cache löschen, um die aktuellen Dateien zum Browser zu übertragen werden', // Update 1

	

	/* DO NOT MODIFY STRINGS BELOW */

	

	// XML tags & attribute strings

	tableid 		: 'tableid',

	queryid 		: 'queryid',

	tablename 		: 'tablename',

	recordid		: 'recordid',

	selectioncount 	: 'recordsinselection',

	fieldid			: 'id',

	fieldname		: 'name',

	fieldtag		: 'field',

	rowtag			: 'row',

	size			: 'size',

	modify_success	: 'success',

	success_true	: 'true',

	success_false	: 'false',

	recordidtag		: 'recordid',

	

	// field types

	type_alpha		: 'alpha',

	type_text		: 'text',

	type_picture	: 'picture',

	type_real		: 'real',

	type_integer	: 'integer',

	type_longint	: 'longint',

	type_blob		: 'blob',

	type_boolean	: 'boolean',

	type_date		: 'date',

	type_time		: 'time'	



};

