﻿// resources.js

// Spanish
var STR_ES = {
	
	/* BEGIN LOCALIZATION  */
	
	// messages
	// depreciated by backend errors
	// will be kept around until mid Oct for backwards compatibility
	status_save_success		: "¡Guardado!",
	status_save_fail		: "¡Error al guardar!",
	status_locked			: "Sólo lectura",
	status_err_number		: "Valor numérico inválido.",
	status_err_time			: "Valor de tiempo inválido.",
	status_err_default		: "Valor de entrada inválido.",
	status_delete_success 	: "Registro borrado.",
	status_err_delete		: "Error borrando registro.",
	status_err_required		: "Los campos en rojo son obligatorios.",
	status_err_dup			: "Valor único necesario.",
	status_err_date			: "Formato/valor de fecha incorrecto.",
	status_err_intLength	: "Un campo entero no puede tener más de 5 dígitos.",
	status_err_longIntLength: "Un campo entero largo no puede tener más de 10 dígitos.",
	
	// generic messages
	loading					: "Cargando...",
	none					: "Ninguno",
	search					: "Buscar",
	fields					: "Campos",
	
	//toolbar, generic, used by several objects
	button_create			: "Crear",
	button_refresh			: "Refrescar",
	button_delete			: "Eliminar",
	button_save				: "Guardar",
	button_cancel			: "Cancelar",
	button_ddw1				: "DDW",
	button_close			: "Cerrar",
	button_choose			: "Escoger",
	
	// grid
	view_image				: "Ver imagen",
	confirm_delete_records 	: "¿Desea borrar estos registros?",
	all						: "", //for All Records
	
	// data window tabs tooltips
	and						: "Y",
	starts_with				: "comienza con",
	
	// calendar
	calendar_month			: ['Enero','Febrero','Marzo','Abril','Mayo','Junio','Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre'],
	calendar_month_abr		: ['Ene','Feb','Mar','Abr','May','Jun','Jul','Ago','Sep','Oct','Nov','Dic'],
	calendar_weekday		: ['Dom','Lun','Mar','Mie','Jue','Vie','Sab'],
	
	// calendar view
	
	// toolbar, date range
	calendar_toolbar_range		: "Período",			// Range Field_X to Field_Y
	calendar_toolbar_to			: "a",
	calendar_toolbar_display	: "Visualizar",			// Display Field_Z
	calendar_toolbar_none		: "Ninguno",			// don't use field for Field_y
	
	// taskbar
	taskbar_admin_label		: "Panel de control",		// Admin button
	taskbar_edit			: "Editar",				// Edit WindowX label
	taskbar_views			: "Portal",				// always displayed in DAX app
	taskbar_debug			: "Consola",			// debugger
	image					: "Imagen",				// Image X
	
	// admin
	//
	
	// main tabs
	admin_generalprefs		: "Preferencias generales",
	admin_accesscontroltab	: "Control de acceso",
	admin_ddwmanager		: "Administración DDW",
	admin_querymanager		: "Administrador de búsquedas",

	// general prefs tab
	admin_taskbarlocation	: "Posición de la barra de tareas:",
	admin_taskbartop		: "Arriba",
	admin_taskbarbottom		: "Abajo",
	admin_style				: "Estilo:",
	admin_preload			: "Número de selecciones precargadas:",

	// ddw tab
	adminDDW_list			: "DDWs",
	adminDDW_title			: "Título",
	adminDDW_content		: "Contenido",
	adminDDW_type			: "Tipo",
	adminDDW_newLink		: "Nueva ventana - Enlace",
	adminDDW_newHTML		: "Nueva ventana - Método HTML",
	adminDDW_newText		: "Mensaje de estado - Método texto",
	adminDDW_associatedTo	: "Asociado a",
	adminDDW_portal			: "Portal",
	adminDDW_other			: "Otro",
	adminDDW_create			: "Crear",
	adminDDW_cancel			: "Cancelar",
	adminDDW_noDDWs			: "Usted no tiene DDWs.",
	adminDDW_to				: "a",
	
	// query tab
	adminQuery_List			: "Búsquedas preestablecidas",
	
	adminQuery_name			: "Nombre de la búsqueda",
	adminQuery_text			: "Búsqueda",
	adminQuery_Selection	: "Selección",
	
	adminQuery_create		: "Crear",
	adminQuery_save			: "Guardar",
	adminQuery_cancel		: "Cancelar",
	
	adminQuery_noQueries	: "Usted no tiene búsquedas preestablecidas.",
	adminQuery_filter		: "Filtrar:",
	adminQuery_allrecords	: "Mostrar la pestaña Todos los registros:",
	adminQuery_all			: "Todos",
	adminQuery_createtitle	: "Crear una búsqueda preestablecida para esta selección:",	
	adminQuery_new			: "Crear una nueva búsqueda:",	
	adminQuery_dynamic		: "Establecer búsquedas dinámicas:",	
	adminQuery_template		: "Utilizar esta plantilla:",	
	adminQuery_template2	: " y aplicarla a este campo:",	
	adminQuery_Next			: "Siguiente",	
	adminQuery_NotAvailable	: "No disponible",	
	adminQuery_error1		: "Por favor elija una selección",	
	adminQuery_error2part1	: "Una búsqueda ",	
	adminQuery_error2part2	: " ya existe para esta selección.",	
	adminQuery_error3		: "Por favor introduzca un nombre",
	adminQuery_Name			: "Nombre: ",	
	adminQuery_BoundTo		: " Ligado a:",	
	adminQuery_SortField	: "Ordenar: Campo: ",	
	adminQuery_SortOrder	: " Orden:",	
	adminQuery_MaxNb		: "Máximo número de registros: ",	
	adminQuery_AddCondition	: "Añadir una condición:",	
	adminQuery_Field		: "Campo:",	
	adminQuery_Operator		: "Operador:",	
	adminQuery_Value		: "Valor:",	
	adminQuery_IsAMethod	: "es un método:",	
	adminQuery_Link			: "Conexión:",	
	adminQuery_Add			: "Añadir",	
	adminQuery_Conditions	: "Condiciones:",	
	adminQuery_Asc			: "Asc",	
	adminQuery_Desc			: "Desc",
	adminQuery_Operator1	: "igual",
	adminQuery_Operator2	: "diferente",
	adminQuery_Operator3	: "menor",
	adminQuery_Operator4	: "mayor",
	adminQuery_Operator5	: "menor o igual",
	adminQuery_Operator6	: "mayor o igual",
	adminQuery_Operator7	: "comienza con",
	adminQuery_Operator8	: "termina en",
	adminQuery_Link1		: "y",
	adminQuery_Link2		: "o",
	adminQuery_FieldTitle	: "Campo",
	adminQuery_OperatorTitle: "Operador",
	adminQuery_ValueTitle	: "Valor",
	adminQuery_LinkTitle	: "Enlace",
	adminQuery_DynamicQuery : "Búsquedas dinámicas",
	adminQuery_DDTs			: "Pestañas dinámicas basadas en ",
	adminQuery_dateTip		: "AAAA-MM-DD",
	adminQuery_error4		: "Por favor agregue al menos una condición",
	adminQuery_error5		: "Una búsqueda dinámica ya existe para este campo",
	
	// access control tab
	admin_accesscontrol		: "Control de acceso del Administrador",
	admin_grouppopup		: "Ver los privilegios para:&nbsp;",
	admin_grouppopupforprefs: "Ver preferencias para:&nbsp;",
	admin_selections		: "Módulos",
	admin_properties		: "Propiedades",
	admin_allowaccess		: "Autorizar acceso",
	admin_allusers			: "Todos los usuarios",
	admin_toggleall			: "Todos: ",
	admin_none				: "Ninguno",
	
	admin_view_titles		: [ "Tabla" , "Calendario" , "Lista jerárquica", "Matriz de datos", "Matriz de imágenes" ],
	admin_grid_table_labels	: [ "Posición", "Autorizar acceso", "Nombre real", "Alias DAX", "Estilo", "Vistas" ],
	admin_grid_field_labels	: [ "Posición", "Tipo de datos", "Nombre real", "Alias DAX", "Visualizar en lista", "Visualizar en detalle", "Formato"	],
	
	
	// load page
	// login widget
	login_login				: "Conexión",
	login_username			: "Usuario",
	login_password			: "Contraseña",

	// login and logout
	logoutsuccess			: "Usted ha sido desconectado con éxito.",
	logoutfail				: "La desconexión ha fallado.",
	logoutconfirm			: "¿Está seguro de continuar con la desconexíón?",
	
	// admin, misc
	new_view				: "Nueva vista",
	delete_view				: "Eliminar vista",
	no_relation_found		: "Ninguna relación encontrada.",
	go						: "Ir",
	
	top_columns				: [ "Posición","Nombre real","Alias DAX","Tipo","Estilo","Botones DDW","Vistas"],		
	bottom_columns			: [ "Posición","Nombre real","Alias DAX","Tipo","Formato","Niv. ruptura","Evento OnLoad","Evento OnChange","Enlace DDW"],
	
	// window titles
	image_viewer			: "Visualizador de imágenes",
	
	// data tree
	select_branch			: "Por favor seleccione un nodo donde se creará el registro .",
	delete_records			: "Por favor seleccione un registro(s) a borrar.",
	// full message is "Delete X record(s)?"
	delete_records1			: "Borrar",
	delete_records2			: "registro(s)?",
	// column where list is displayed
	hgrid_first_column		: "Lista",
	
	// editor
	record_not_in_database	: "El registro aún no se encuentra en la base de datos",

	editor_error_int		: "El valor debe estar entre  -32 768 y 32 767",
	editor_error_longint	: "El valor debe estar entre  -2 147 483 648 y 2 147 483 647",
	editor_imageviewer		: "Visualizador de imágenes",	
	
	editor_selectionview	: "Nifty tip. It's supposed to be helpful.",

	/* 1.1 Addition */
	
	// editor choice list
	no_data_found			: "Ningún dato encontrado.",

	/* 1.1 Addition ends*/
	
	// window titles
	image_viewer			: "Visualizador de imágenes",
	
	// data tree
	select_branch			: "Por favor seleccione un nodo donde se creará el registro.",
	delete_records			: "por favor seleccione un registro(s) a borrar.",
	// full message is "Delete X record(s)?"
	delete_records1			: "Borrar",
	delete_records2			: "registro(s)?",
	// column where list is displayed
	hgrid_first_column		: "Lista",

	// boolean values
	
	yes		: "sí",
	no		: "no",
	
	male	: "hombre",
	female	: "mujer",
	
	ttrue	: "verdadero",
	ffalse	: "falso",

	// sidebar tooltips
	
	sidebar_logout		: "Desconectar",
	sidebar_console		: "Consola",
	sidebar_settings	: "Panel de control",

	// window
	
	onbeforeunload		: "Si sale sus sesiones DAX no serán conservadas!",

	// query Engine
	
	qe_list				: "Lista",
	qe_report			: "Informe",
	qe_chart			: "Gráfico",
	qe_arguments		: ['es igual a', 'es distinto de', 'inicia con', 'termina en', 'es menor que', 'es mayor que', 'es menor o igual que', 'es mayor o igual que'],

	// Chart Engine
	
	ct_charttypes		: ['Columna', 'Línea', 'Sectores'],

	// Report Engine
	
	rp_select			: "Seleccionar",
	rp_deselect			: "Deseleccionar",
	
	// Browser support
	unsupportedbrowser	: "4D AJAX Framework no soporta este navegador. Por favor actualícelo a Internet Explorer 7, Firefox 2+, o Safari 2+.",

	// Image browser & data matrix
	ib_toolbar_display	: "Mostrar",
	ib_toolbar_create	: "Crear",
	ib_toolbar_delete	: "Borrar",
	ib_toolbar_zoom		: "Zoom",
	ib_toolbar_flip		: "Cambiar vista",
	ib_toolbar_more		: "Más",
	ib_toolbar_less		: "Menos",
	ib_toolbar_setup	: "Configuración",
	ib_toolbar_image	: "Imagen",
	ib_toolbar_layout	: "Disposición",
	ib_toolbar_header	: "Encabezado",
	ib_toolbar_top		: "Arriba",
	ib_toolbar_bottom	: "Abajo",
	ib_toolbar_left		: "Izquierda",
	ib_toolbar_right	: "Derecha",
	ib_toolbar_none		: "Ninguno",
	ib_toolbar_sort     : "Ordenar",

	/* 1.1 addition */
	save_column_width	: "Memorizar el ancho de las columnas",
	/* 1.1 addition ends */	

	/* 1.2 addition */
	Input_O	: "S",
	Input_I : "E",
	/* 1.2 addition ends */

	/* END LOCALIZATION  */
	
	
	/* FORMATTING */

	admin_titles_integer	: [ "Ninguno" ,  "9.999.999", 		"$9,999.99",   		"9.999,99 EUR", "99,99 %"],
	admin_values_integer	: [ "i1"    , "i,per,cm,0,", 	"i$,cm,per,2,",		 "i,per,cm,2,EUR", 	    "i,,cm,2,~"],
	
	admin_titles_longint	: [ "Ninguno" ,  "9.999.999",		"9.999,99 EUR",		"$9,999.99",     "99,99 %"],
	admin_values_longint	: [ "l1"   ,  "l,per,cm,0,",	"l,per,cm,2,EUR",	"l$,cm,per,2,",  "l,,cm,2,~"],	
	
	admin_titles_real		: [ "Ninguno" ,  "9.999.999",		"99,99 %",		"$9,999.99",  	 "9.999,99 EUR"	],
	admin_values_real		: [ "r1"    , "r,per,cm,0,"	,	"r,,cm,2,~",	"r$,cm,per,2,",  "r,per,cm,2,EUR"],	

	admin_titles_date		: [ "Ninguno" , "MM-DD-AAAA" ,	 "DD-MM-AAAA" ,	 "DD-Ene-AAAA" ],
	admin_values_date		: [ "d1"   , "dMM-DD-YYYY" , "dDD-MM-YYYY",	 "dDD-MMM-YYYY"],
	
	admin_titles_time		: [ "Ninguno" ,  "HH:MM:SS",   "HH:MM:SS am/pm",		"HH:MM",	"HH:MM am/pm" ],
	admin_values_time		: [ "t1"    , "tHH:MM:SS",  "tHH:MM:SS am/pm",		"tHH:MM",	"tHH:MM am/pm"],
	
	admin_titles_alpha		: [ "Ninguno" ,  "MAYÚSCULAS",   "minúsculas"],
	admin_values_alpha		: [ "a1"    , "aUUUU",  	 "auuuu"],
	
	admin_titles_text		: [ "Ninguno" ,  "MAYÚSCULAS",   "minúsculas"],
	admin_values_text		: [ "x1"    ,  "xUUUU",  	 "xuuuu"],

	// note: these are admin boolean labels, actual boolen values are in the localization section of this file - best thing to do is to update both
	admin_titles_boolean	: [ "Ninguno" , "Verdadero/Falso",	"Sí/No",	"Hombre/Mujer"],
	admin_values_boolean	: [ "b1",	"bTrue",		"bYes",		"bMale",		"bCheckbox"],
	
	admin_titles_none		: ["Ninguno"],
	admin_values_none		: ["1"],

	
	// ***  Dashboard Manager and Editor ***

	// General Strings
	dash_tabtitle			: 'Admin Dashboard',
	dash_toplefttitle		: 'Dashboards',
	dash_create				: 'Crear',
	dash_cancel				: 'Cancelar',
	
	// Dashboards list Strings
	dash_list_name			: 'Nombre',
	dash_list_description	: 'Descripción',
	dash_list_selection		: 'Selección',
	
	// Create panel Strings
	dash_create_selection	: 'Crear un informe para esta selección:',
	dash_create_name		: 'Nombre:',
	dash_create_defaultname	: 'Mi Dashboard',
	dash_create_description : 'Descripción',
	dash_create_defaultdesc	: 'Creado ',
	dash_create_platform	: 'Platform Option', // Update 1
	// dash_create_desktopflag : 'For Desktop', // Update 1
	dash_create_iphoneflag	: 'iPhone Support', // Update 1
	dash_create_button		: 'Iniciar editor Dashboard',
	
	// Dashboard Editor Strings
	dash_de_info1			: 'Arrastre objetos al informe:',
	dash_de_info2			: 'Haga clic en un campo para agregar un grupo:',
	dash_de_info3			: 'Estilo',
	dash_de_info4			: 'Mostrar Cols alternas',
	dash_de_info5			: 'Mostrar Cols por defecto',
	dash_de_info6			: 'Mostrar propiedades',
	dash_de_title			: 'Editor Dashboard',
	dash_de_dbobjs			: 'Objetos de base',
	dash_de_Formulas		: 'Fórmulas',
	dash_de_groups			: 'Agregar un grupo',
	dash_de_chart			: 'Usar gráfico',
	
	// Formulas
	dash_de_Formula1		: 'Suma',
	dash_de_Formula2		: 'Promedio',
	dash_de_Formula3		: 'Min',
	dash_de_Formula4		: 'Máx',
	dash_de_Formula5		: 'Contar',
	dash_de_Formula6		: 'Desviación estándar',
	dash_de_Formula7		: 'Método',

	// iPhone Styles
	dash_de_ip_style1		: 'Azul',
	dash_de_ip_style2		: 'Negro',
	
	// Desktop Styles
	dash_de_dt_style1		: 'Default',
	dash_de_dt_style2		: 'Durazno',
	dash_de_dt_style3		: 'Arcilla',
	dash_de_dt_style4		: 'Niebla',
	dash_de_dt_style5		: 'Cocoa',
	dash_de_dt_style6		: 'Oceano',
	dash_de_dt_style7		: 'Menta',
	
	// Editor Zones
	dash_de_zone_dh			: 'Encabezo detalle',
	dash_de_zone_gh			: 'Encabezado grupo #',
	dash_de_zone_d			: 'Detalle',
	dash_de_zone_gf			: 'Pie grupo #',
	dash_de_zone_df			: 'Pie detalle',
	
	// Editor Buttons
	dash_de_cancel			: 'Cancelar',
	dash_de_save			: 'Guardar',
	
	// Property Inspector Tabs
	dash_pi_styletab		: 'Estilo',
	dash_pi_indicatorstab	: 'Indicadores',
	dash_pi_formattingtab	: 'Formato',
	dash_pi_linkappstab		: 'Enlazar Apps',
	
	// Property Inspector Button
	dash_pi_close			: 'Cerrar',
	
	// Style Tab
	dash_pi_style_info1		: 'Estilo escritorio',
	dash_pi_style_info2		: 'Estilo iPhone',
	
	dash_pi_style_width		: 'Ancho columna:',
	dash_pi_style_px		: 'px',
	dash_pi_halign			: 'Alineación encabezado:',
	dash_pi_htext			: 'Texto encabezado:',
	dash_pi_dalign			: 'Alineación detalle:',
	dash_pi_falign			: 'Alineación fórmula:',
	dash_pi_customformula	: 'Fórmula personalizada:',
	dash_pi_ghalign			: 'GroupHeader Alignment:', // Update 1
	dash_pi_customgh		: 'Custom GroupHeader:', // Update 1
	
	// Alignment Options
	dash_pi_align_option1	: 'Izquierda',
	dash_pi_align_option2	: 'Centro',
	dash_pi_align_option3	: 'Derecha',
	
	// Indicator Tab
	dash_pi_ind_info1		: 'Agregar un filtro:',
	dash_pi_ind_info2		: 'Lista de filtros(Prioridad descendente):',
	dash_pi_ind_info3		: 'Ninguno',
	
	// Operator Options
	dash_pi_ind_op1			: 'igual',
	dash_pi_ind_op2			: 'más',
	dash_pi_ind_op3			: 'menos',
	
	// Indicator Styles
	dash_pi_ind_style1		: 'verde',
	dash_pi_ind_style2		: 'amarillo',
	dash_pi_ind_style3		: 'rojo',
	dash_pi_ind_style4		: 'botón verde',
	dash_pi_ind_style5		: 'botón amarillo',
	dash_pi_ind_style6		: 'botón rojo',
	
	// Indicator button
	dash_pi_ind_addbutton	: 'Añadir',
	
	// Formatting Tab
	dash_pi_for_info1		: 'Escoja un formato booleano:',
	dash_pi_for_info2		: 'Escoja un formato numérico:',
	dash_pi_for_info3		: 'Escoja un formato de fecha:',
	dash_pi_for_info4		: 'Escoja un formato de hora:',
	
	// Date Formats
	dash_pi_for_date1		: 'ninguno',
	dash_pi_for_date2		: 'Corto',
	dash_pi_for_date3		: 'Abreviado',
	dash_pi_for_date4		: 'Largo',
	dash_pi_for_date5		: 'MM/DD/YYYY',
	dash_pi_for_date6		: 'Mes, Año',
	dash_pi_for_date7		: 'Abrev: Mes, Año',
	dash_pi_for_date8		: 'MM/DD/YYYY Forzado',
	dash_pi_for_date9		: 'Fecha Hora ISO',	

	// Time Formats
	dash_pi_for_time1		: 'ninguno',
	dash_pi_for_time2		: 'HH:MM:SS',
	dash_pi_for_time3		: 'HH:MM',
	dash_pi_for_time4		: 'hora min seg',
	dash_pi_for_time5		: 'hora min',
	dash_pi_for_time6		: 'H:MM AM/PM',
	
	// Link Apps Tab
	dash_pi_apps_info1		: 'Relacionar la celda seleccionada con:',
	
	// Apps Options
	dash_pi_app1			: 'ninguno',
	dash_pi_app2			: 'Navegador',
	dash_pi_app3			: 'Email',
	dash_pi_app4			: 'Mapas',
	dash_pi_app5			: 'Teléfono',
	
	
	// Error Messages
	dash_error1				: 'Por favor seleccione',
	dash_error2				: 'Su informe fue guardado.',
	dash_error3				: 'Este dashboard no tiene ninguna columna.',
	dash_error4				: 'Primero necesita hacer está selección visible.',
	dash_error5				: 'Ocurrió un error al guardar el informe.',
	dash_error6				: 'No hay indicadores disponibles para esta(s) celda(s).',
	dash_error7				: 'No hay opciones de formato disponible para esta(s) celda(s).',
	dash_error8				: 'No hay opción disponible para esta(s) celda(s).',
	dash_error9				: 'No hay opciones de estilo disponible para esta(s) celda(s).',
	dash_error10			: 'Ya hay un informe con ese nombre para esta selección.',
	dash_error11			: 'Soporte iPhone activará las funciones para el iPhone en el editor.', // Update 1
	dash_error12			: 'Sólo puede añadir un grupo al dashboard', // Update 1
	dash_error13			: 'Las columnas alternas serán accesibles cuando el usuario haga clic en la columna.', // Update 1
	dash_error14			: 'Columna alterna no se puede añadir a una columna vacía por defecto.', // Update 1

	versionmismatch			: 'Los archivos Web no son de la misma versión del componente. Por favor limpie la caché del navegador para asegurarse de que los últimos archivos se envíen al navegador',
	/* DO NOT MODIFY STRINGS BELOW */
	
	// XML tags & attribute strings
	tableid 		: 'tableid',
	queryid 		: 'queryid',
	tablename 		: 'tablename',
	recordid		: 'recordid',
	selectioncount 	: 'recordsinselection',
	fieldid			: 'id',
	fieldname		: 'name',
	fieldtag		: 'field',
	rowtag			: 'row',
	size			: 'size',
	modify_success	: 'success',
	success_true	: 'true',
	success_false	: 'false',
	recordidtag		: 'recordid',
	
	// field types
	type_alpha		: 'alpha',
	type_text		: 'text',
	type_picture	: 'picture',
	type_real		: 'real',
	type_integer	: 'integer',
	type_longint	: 'longint',
	type_blob		: 'blob',
	type_boolean	: 'boolean',
	type_date		: 'date',
	type_time		: 'time'


	
};